Page MenuHomePhabricator

Collections link not showing in left nav
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/view/Mobile/job/browsertests-Gather-en.m.wikipedia.beta.wmflabs.org-linux-chrome-sauce/220/

Seems present in HTML but for some reason is not being revealed when I visit
http://en.m.wikipedia.beta.wmflabs.org/wiki/Albert_Einstein

I think this is a race condition - $( '#mw-mf-page-left' ).find( '.collection-menu-item' ).removeClass( 'hidden' ); is possibly being executed too early.

Details

Related Gerrit Patches:
mediawiki/extensions/Gather : masterUnhide the 'Collections' menu item
mediawiki/extensions/Gather : masterUnhide the 'Collections' menu item
mediawiki/extensions/Gather : masterUnhide the 'Collections' menu item

Event Timeline

Jdlrobson raised the priority of this task from to High.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 11:24 PM
Jdlrobson updated the task description. (Show Details)Aug 4 2015, 11:27 PM
Jdlrobson set Security to None.
KLans_WMF raised the priority of this task from High to Unbreak Now!.Aug 5 2015, 5:16 PM
KLans_WMF moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-53-12-Monkeys board.
bmansurov claimed this task.Aug 5 2015, 5:51 PM
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-53-12-Monkeys board.

Change 229430 had a related patch set uploaded (by Bmansurov):
Unhide the 'Collections' menu item

https://gerrit.wikimedia.org/r/229430

Change 229603 had a related patch set uploaded (by Bmansurov):
Unhide the 'Collections' menu item

https://gerrit.wikimedia.org/r/229603

Change 229605 had a related patch set uploaded (by Bmansurov):
Unhide the 'Collections' menu item

https://gerrit.wikimedia.org/r/229605

Change 229605 abandoned by Bmansurov:
Unhide the 'Collections' menu item

https://gerrit.wikimedia.org/r/229605

Change 229603 abandoned by Bmansurov:
Unhide the 'Collections' menu item

https://gerrit.wikimedia.org/r/229603

Change 229430 merged by jenkins-bot:
Unhide the 'Collections' menu item

https://gerrit.wikimedia.org/r/229430

Danny_B renamed this task from Regression: Collections link not showing in left nav to Collections link not showing in left nav.Jul 3 2016, 10:56 PM
Danny_B added projects: Mobile, Regression.
Danny_B removed a subscriber: Mobile.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 3 2016, 10:56 PM